Skip to main content
GET
Retrieve Display Channel Forecast Stats

Authorizations

Authorization
string
header
required

API key en el header Authorization: Basic TU_API_KEY. La key va tal cual, sin codificar en base64. Las credenciales se entregan al comenzar la integración.

Query Parameters

channel_id
integer
required

The ID of the display channel for which the forecast is to be calculated.

priority
string
required

The priority of the proposed placement. Controls which placements are served over others. Must be one of house, bulk, network, standard, or sponsorship.

delivery_pacing
string
required

The delivery pacing of the proposed placement. Must be default or smooth. Default delivery serves impressions as quickly as possible. Smooth delivery will evenly serve ads based on the placement's lifetime dates and quotas. NOTE: Smooth delivery requires the Smooth Delivery feature to be enabled.

serve_method
string

Whether the proposed placement is served using a weight-based (weight) or auction-based (auction) system. Must be one of weight or auction. Required when delivery_pacing is default. NOTE: Auction-based serving requires the Serve Method Option feature to be enabled.

weight
integer

A positive integer used to compute the probability of serving the proposed placement relative to others. Only applicable when serve_method is weight. Defaults to 1.

cpm
number<float>

Cost per 1,000 impressions. Required when serve_method is auction.

start_date
string<date>
required

The start date of the forecast window, in YYYY-MM-DD format (e.g. 2026-04-15). Must be a future date.

end_date
string<date>
required

The end date of the forecast window, in YYYY-MM-DD format (e.g. 2026-04-30). Must be after start_date.

quota_lifetime
integer

The maximum number of impressions to serve over the lifetime of the proposed placement. Required when delivery_pacing is smooth.

quota_daily
integer

The maximum number of impressions to serve per day for the proposed placement.

geo_target
integer

The ID of a geographic target to apply to the proposed placement. Defaults to null (no geographic targeting). Requires the Geo Targeting feature to be enabled.

platform_target
integer

The ID of a platform target to apply to the proposed placement. Defaults to null (no platform targeting). Requires the Platform Targeting feature to be enabled.

data_key_target
string

A JSON-encoded string representing the data key targeting configuration for the proposed placement. Defaults to null (no data key targeting). Requires the Data Key Targeting feature to be enabled.

Response

default - application/json

successful operation

object
string

A string denoting the object type of the response.

Example:

"display_channel_forecast"

url
string

The URL of the current resource.

Example:

"/v2/reports/forecast/display/channel"

data
object